export_legacy_catalog doesn't convert url names correctly

Bug #994936 reported by Sam Morrison on 2012-05-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Identity (keystone)
Medium
Sam Morrison
Essex
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

When using export_legacy_catalog to go from diablo to essex keystone the catalog created has urls of the form:

catalog.Melbourne.identity.internalUrl =
catalog.Melbourne.identity.publicUrl =
catalog.Melbourne.identity.adminUrl =

url needs to be capitalised completely eg. internalURL

Sam Morrison (sorrison) wrote :

https://review.openstack.org/#/c/7147/

Code review here but for some reason not being linked to from here.

Joseph Heck (heckj) on 2012-05-05
Changed in keystone:
status: New → Triaged
assignee: nobody → Sam Morrison (sorrison)
importance: Undecided → Medium
status: Triaged → In Progress
tags: added: essex-backport-potential

Reviewed: https://review.openstack.org/7147
Committed: http://github.com/openstack/keystone/commit/c2255edb72db14e8dd5ff12fb61219793d425cbc
Submitter: Jenkins
Branch: master

commit c2255edb72db14e8dd5ff12fb61219793d425cbc
Author: Sam Morrison <email address hidden>
Date: Mon May 7 09:09:57 2012 +1000

    Corrects url conversion in export_legacy_catalog

    Fixes bug 994936

    Change-Id: Ia63fdae7d0bcd7f8b0b587da588404765e22fb8f

Changed in keystone:
status: In Progress → Fix Committed
Joseph Heck (heckj) on 2012-05-20
Changed in keystone:
milestone: none → folsom-1
Thierry Carrez (ttx) on 2012-05-23
Changed in keystone:
status: Fix Committed → Fix Released
Alan Pevec (apevec) on 2012-06-11
tags: added: essex-backport
removed: essex-backport-potential

Reviewed: https://review.openstack.org/8404
Committed: http://github.com/openstack/keystone/commit/426549934e323a9bc435b9ec58163e88f5e74a32
Submitter: Jenkins
Branch: stable/essex

commit 426549934e323a9bc435b9ec58163e88f5e74a32
Author: Sam Morrison <email address hidden>
Date: Mon May 7 09:09:57 2012 +1000

    Corrects url conversion in export_legacy_catalog

    Fixes bug 994936

    Change-Id: Ia63fdae7d0bcd7f8b0b587da588404765e22fb8f

Dave Walker (davewalker) on 2012-08-24
Changed in keystone (Ubuntu):
status: New → Fix Released
Changed in keystone (Ubuntu Precise):
status: New → Confirmed

Please find the attached test log from the Ubuntu Server Team's CI infrastructure. As part of the verification process for this bug, Keystone has been deployed and configured across multiple nodes using precise-proposed as an installation source. After successful bring-up and configuration of the cluster, a number of exercises and smoke tests have be invoked to ensure the updated package did not introduce any regressions. A number of test iterations were carried out to catch any possible transient errors.

Please Note the list of installed packages at the top and bottom of the report.

For records of upstream test coverage of this update, please see the Jenkins links in the comments of the relevant upstream code-review(s):

Trunk review: https://review.openstack.org/7147
Stable review: https://review.openstack.org/8404

As per the provisional Micro Release Exception granted to this package by the Technical Board, we hope this contributes toward verification of this update.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

tags: added: verification-done

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 2012.1+stable~20120824-a16a0ab9-0ubuntu2

---------------
keystone (2012.1+stable~20120824-a16a0ab9-0ubuntu2) precise-proposed; urgency=low

  * New upstream release (LP: #1041120):
    - debian/patches/0013-Flush-tenant-membership-deletion-before-user.patch:
      Dropped.
  * Resynchronize with stable/essex:
    - authenticate in ldap backend doesn't return a list of roles
      (LP: #1035428)
    - LDAP should not check username on "sn" field (LP: #997700)
    - Admin API doesn't valid token. (LP: #1006815, #1006822)
    - Memcache token backend eventually stops working. (LP: #1012381)
    - EC2 credentials not migrated from legacy (diablo) database. (LP: #1016056)
    - Deleting tenants or users does not cleanup metadata. (LP: #973243)
    - Deleting tenants does not cleanup its user associations. (LP: #974199)
    - TokenNotFound not raised in testsuite beacuse of timezone issues. (LP: #983800)
    - Token authentication for a user in a disabled tenant does not raise
      Unauthorized error. (LP: #988920)
    - export_legacy_catalog doesn't convert url names correctly. (LP: #994936)
    - Following a password compromise and subsequent password change,
      tokens remain valid. (LP: #996595)
    - Tokens remain valid after a user account is disabled. (LP: #997194)
 -- Adam Gandelman <email address hidden> Fri, 24 Aug 2012 03:34:59 -0400

Changed in keystone (Ubuntu Precise):
status: Confirmed → Fix Released
Thierry Carrez (ttx) on 2012-09-27
Changed in keystone:
milestone: folsom-1 → 2012.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers